<div class="container border mt-4 shadow-sm p-3 mb-5 bg-white rounded" style="width: 35rem;">
    <h3 class="text-secondary text-center" >Login App Precios de Carburantes</h3>
    <form class="m-2">
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" class="username form-control" id="email" aria-describedby="emailHelp" placeholder="Introduce email">
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" class="password form-control" id="password" placeholder="Password">
        </div>
        <button id="submit" type="submit" class="btn btn-primary">Login</button>
    </form>
</div>


<script type="application/javascript">

    let botonLogin = document.querySelector("#submit");
    botonLogin.addEventListener('click', login);

    function login (event) {
        const user = {
            "user": {
                "email": document.querySelector(".username").value,
                "password": document.querySelector(".password").value
            }
        };

        event.preventDefault();
        let url = 'http://localhost:8000/api/users/login';

        fetch(url, {
            method: 'POST', // or 'PUT'
            body: JSON.stringify(user), // data can be `string` or {object}!
            headers:{
                'Content-Type': 'application/json'
            }
        }).then(res => res.json())
                .catch(error => console.error('Error:', error))
                .then(response => {
                    if(response){
                        localStorage.setItem('Token', response.token.token);
                        let id_ciudad = response.token.ciudad;

                        redirect: window.location.replace(`/listadoGasolineras/${id_ciudad}`);
                    } else{
                        alert("Usuario o contraseña incorrectos");
                    }
                    console.log('Success:', response)}
                );
    }

</script>
